### Method

# Mtk Rectangle transform

#### Declaration [src]

    void
    mtk_rectangle_transform (
      const MtkRectangle* rect,
      MtkMonitorTransform transform,
      int width,
      int height,
      MtkRectangle* dest
    )

#### Description [src]

This function transforms the values in `rect` in order to compensate for `transform` applied to a `MetaMonitor`, making them match the viewport. Note that compensating implies that for a clockwise rotation of the `MetaMonitor` an anti-clockwise rotation has to be applied to `rect`.

#### Parameters

`transform`

  Type: `MtkMonitorTransform`

  The `MtkMonitorTransform`.

`width`

  Type: `int`

  The width of the target space.

`height`

  Type: `int`

  The height of the target space.

`dest`

  Type: `MtkRectangle`

  The transformed `MtkRectangle`.

  The data is owned by the caller of the method.